<div id="ai1wmoe-import-modal" class="ai1wmoe-modal ai1wm-not-visible">
	<div class="ai1wm-modal-content-middle">
		<span class="ai1wm-loader" v-if="files === false && error === false"></span>
		<div class="ai1wmoe-file-browser" v-if="files !== false">
			<span class="ai1wmoe-path">
				<i class="ai1wm-icon-folder"></i>
				<span id="ai1wmoe-download-path">{{path}}</span>
			</span>
			<ul class="ai1wmoe-file-list">
				<li v-repeat="files" v-on="click: browse(this)" class="ai1wmoe-file-item">
					<span class="ai1wmoe-filename">
						<i class="{{type | icon}}"></i>
						{{name}}
					</span>
					<span class="ai1wmoe-filedate" v-if="type !== 'folder'">{{date}}</span>
					<span class="ai1wmoe-filesize" v-if="type !== 'folder'">{{size}}</span>
				</li>
			</ul>
			<p v-if="files.length === 0"><?php _e( 'No files or directories', AI1WMOE_PLUGIN_NAME ); ?></p>
		</div>
	</div>

	<div class="ai1wm-modal-action">
		<p>
			<span class="ai1wmoe-contact-onedrive" v-if="files === false && error == false">
				<?php _e( 'Connecting to OneDrive ...', AI1WMOE_PLUGIN_NAME ); ?>
			</span>
			<span v-html="error" v-if="error"></span>
		</p>
		<p>
			<span id="ai1wmoe-download-file" class="ai1wmoe-selected-file" v-if="selected_filename" v-animation>
				<i class="ai1wm-icon-file-zip"></i>
				{{selected_filename}}
			</span>
		</p>
		<p>
			<button type="button" class="ai1wm-button-red" id="ai1wmoe-import-file-cancel" v-on="click: cancel">
				<i class="ai1wm-icon-notification"></i>
				<?php _e( 'Cancel', AI1WMOE_PLUGIN_NAME ); ?>
			</button>
			<button type="button" class="ai1wm-button-green" id="ai1wmoe-import-file" v-if="selected_filename" v-on="click: import">
				<i class="ai1wm-icon-publish"></i>
				<?php _e( 'Import', AI1WMOE_PLUGIN_NAME ); ?>
			</button>
		</p>
	</div>
</div>
